%define upstream_name    MooseX-ArrayRef
%define upstream_version 0.005

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Blessed arrayrefs with Moose
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/MooseX/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.170.0
BuildRequires: perl(Moose) >= 2.0.0
BuildRequires: perl(Test::More) >= 0.610.0
BuildArch:  noarch

%description
Objects implemented with arrayrefs rather than hashrefs are often faster
than those implemented with hashrefs. Moose's default object implementation
is hashref based. Can we go faster?

Simply 'use MooseX::ArrayRef' instead of 'use Moose', but note the
limitations in the section below.

The current implementation is mostly a proof of concept, but it does mostly
seem to work.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc CONTRIBUTING COPYRIGHT CREDITS Changes INSTALL LICENSE META.json META.yml MYMETA.yml README SIGNATURE examples
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.5.0-5.mga8
+ Revision: 1495648
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.5.0-4.mga7
+ Revision: 1269589
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.5.0-3.mga6
+ Revision: 1030325
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 0.5.0-2.mga6
+ Revision: 965967
- Mageia 6 Mass Rebuild

* Mon Jun 22 2015 sander85 <sander85> 0.5.0-1.mga6
+ Revision: 839316
- update to 0.005

* Wed Oct 15 2014 umeabot <umeabot> 0.4.0-5.mga5
+ Revision: 746711
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.4.0-4.mga5
+ Revision: 685516
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.4.0-3.mga4
+ Revision: 513113
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.4.0-2.mga3
+ Revision: 370133
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 23 2012 shlomif <shlomif> 0.4.0-1.mga3
+ Revision: 334209
- imported package perl-MooseX-ArrayRef


* Sun Dec 23 2012 cpan2dist 0.004-1mga
- initial mageia release, generated with cpan2dist
